Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
advanced-filters
/
methods
List known contract methods
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/advanced-filters/methods \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.blockscout.com/{chain_id}/api/v2/advanced-filters/methods"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.blockscout.com/{chain_id}/api/v2/advanced-filters/methods', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "method_id": "0xa9059cbb",
    "name": "transfer"
  }
]
{
  "errors": [
    {
      "detail": "null value where string expected",
      "source": {
        "pointer": "/data/attributes/petName"
      },
      "title": "Invalid value"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Query Parameters

q
string | null

Search string: either a 4-byte method selector (e.g. 0xa9059cbb) or a method name (e.g. transfer).

Response

List of contract methods.

method_id
string
required

4-byte method selector prefixed with 0x (lowercase hex).

Pattern: ^0x[0-9a-f]{8}$
Example:

"0xa9059cbb"

name
string
required

Human-readable method name. Empty string if the name could not be resolved.

Example:

"transfer"